using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Slayter
{
    public partial class Map : Background, IDrawable, IClickable
    {
        List<MapObject> drawables;
        List<int[]> objectsOnMap;
        public void LoadDrawables(Game1 game)
        {
            drawables = new List<MapObject>();
            objectsOnMap=new List<int[]>();
            Texture2D pic=game.Content.Load<Texture2D>("castle1");
            MapObject o=new MapObject(pic, new Rectangle(80,200, pic.Width, pic.Height), this);
            drawables.Add(o);
            objectsOnMap.Add(new int[2]{4,5});
        }

        public void drawDrawables(SpriteBatch spriteBatch)
        {
            foreach(IDrawable drawable in drawables){
                drawable.draw(spriteBatch);
            }
        }
    }
}
